//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#pragma hdrstop
#include "GfxPlugin.h"

#pragma argsused

class Invert: public SPCGFXPlugIn
{
__published:
private:
public:
    void Render(TCanvas * Canvas, int iWidth, int iHeight, int iPicTyp);
};

void Invert::Render(TCanvas * Canvas, int iWidth, int iHeight, int iPicTyp)
{
    // Invert the Canvas
    HRGN PictureHRGN = CreateRectRgn(0, 0, iWidth, iHeight);
    InvertRgn(Canvas->Handle, PictureHRGN);
    return;
}

__declspec(dllexport) SPCGFXPlugIn* CreatePlugInObject()
{
    return new Invert;
}

int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void* lpReserved)
{
    return 1;
}
//---------------------------------------------------------------------------

